{{ header }}

{% block stylesheets %}
    <link rel="stylesheet" type="text/css" href="catalog\view\theme\default\stylesheet\productEditor.css" /> 
{% endblock %}
<div id="information-producteditor">
	<ul class="breadcrumb">
		{% for breadcrumb in breadcrumbs %}
			<li>
				<a href="{{ breadcrumb.href }}">{{ breadcrumb.text }}</a>
			</li>
		{% endfor %}
	</ul>
		<div class="container">
			<h1 align="center">Terméktervező </h1>
      {% for product in main_products %}
      <div class="row">
      <div class="col-sm-12 product-section">
      <div class="col-sm-6">
      <a class="modal-image">
        <img id={{ product.tag_name }} class="rounded float-left img-thumbnail highlighted main_images" width="70%" height="70%" alt={{ product.name }} src={{ product.path }}>
        </a>
        </div>
        <div class="col-sm-6">
      <h2 align="center">{{ product.name }} </h2>

      {% if product.description %}
      <p><strong class="attribute">Leírás:</strong> {{ product.description }}</p>
      {% endif %}

      {% for attribute in main_attributes %}

        {% if attribute.product_id == product.product_id %}
          <p><strong class="attribute">{{ attribute.name }}: </strong>{{ attribute.text }}</p>

        {% endif %}

      {% endfor %}

      {% if product.weight %}
      <p><strong class="attribute">Súly:</strong>{{ product.weight }} {{ product.weight_unit }}</p>
      {% endif %}

       {% if product.length %}
      <p><strong class="attribute">Hosszúság:</strong>{{ product.length }} {{ product.length_unit }}</p>
      {% endif %}

      {% if product.width %}
      <p><strong class="attribute">Szélesség:</strong>{{ product.width }} {{ product.length_unit }}</p>
      {% endif %}

      {% if product.height %}
      <p><strong class="attribute">Magasság:</strong>{{ product.height }} {{ product.length_unit }}</p>
      {% endif %}

      {% if product.price %}
      <p><strong class="attribute">Ár:</strong>{{ product.price }} Ft</p>
      {% endif %}

     <button name= {{ product.tag_name }} value={{ product.tag_name }} id={{  product.tag_name }} data-toggle="" data-target="" class="btn editorLauncher">Tervez</button>
     </div>
     </div>
      {% endfor %}

      <!-- Creates the bootstrap modal where the image will appear -->
<div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div style="border-bottom: none;" class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
      </div>
      <div class="modal-body">
        <img src="" id="imagepreview" >
      </div>
    </div>
  </div>
</div>
		</div>
	</div>


  <!-- PRODUCT EDITOR Modal -->
<div class="modal fade" id="productEditorModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
</div>

<script src="catalog\view\javascript\productEditor\productEditor.js" async></script>





	{{ footer }}
